#include <stdio.h>

int main()
{
    int n, q, lev, des;
    scanf("%d", &n);
    int niz[n];
    for(int i = 0; i < n; i++)
    {
        scanf("%d", &niz[i]);
    }
    int br = 0;
    int niz2[n];
    //int pom = 0;
    for(int i = 0; i < n; i++)
    {
        if(niz[i] > niz[i+1])
        br++;
        niz2[i] = br;
        //if(niz2[i-1]<niz2[i] && )
    }
    scanf("%d", &q);
    int niz1[q];
    for(int i = 0; i < q; i++)
    {
        scanf("%d%d", &lev, &des);
        niz1[i] = niz2[des] - niz[lev];
    }
    for(int i = 0; i < q; i++)
    {
        if(niz1[i] >= 2)
        {
            printf("NE\n");
        }
        else
        {
            printf("DA\n");
        }
}
}